rte_acl_field_def(3)

NAME
rte_acl_field_def

SYNOPSIS

#include <rte_acl.h>

  Data Fields

uint8_t type
uint8_t size
uint8_t field_index
uint8_t input_index
uint32_t offset

Detailed Description

ACL Field definition. Each field in the ACL rule has an associate definition. It defines the type of field, its size, its offset in the input buffer, the field index, and the input index. For performance reasons, the inner loop of the search function is unrolled to process four input bytes at a time. This requires the input to be grouped into sets of 4 consecutive bytes. The loop processes the first input byte as part of the setup and then subsequent bytes must be in groups of 4 consecutive bytes.

Definition at line 52 of file rte_acl.h.

Field Documentation

  uint8_t type
type - RTE_ACL_FIELD_TYPE_*.

Definition at line 53 of file rte_acl.h.

  uint8_t size
size of field 1,2,4, or 8.

Definition at line 54 of file rte_acl.h.

  uint8_t field_index
index of field inside the rule.

Definition at line 55 of file rte_acl.h.

  uint8_t input_index
0-N input index.

Definition at line 56 of file rte_acl.h.

  uint32_t offset
offset to start of field.

Definition at line 57 of file rte_acl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.